#ifndef _OHBABEL_H_
#define _OHBABEL_H_

#include <windows.h>

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

extern int OhbBabelJKInit(const OHBSETTING *pSetting);
extern const OHBTRANS *OhbBabelJKTrans(LPCWSTR lpStr,
  const OHBSETTING *pSetting);
extern void OhbBabelJKFree(const OHBTRANS *ohbTrans);
extern void OhbBabelJKDestroy(void);

extern int OhbBabelKJInit(const OHBSETTING *pSetting);
extern const OHBTRANS *OhbBabelKJTrans(LPCWSTR lpStr,
  const OHBSETTING *pSetting);
extern void OhbBabelKJFree(const OHBTRANS *ohbTrans);
extern void OhbBabelKJDestroy(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OHBABEL_H_ */
